Форум поддержки пользователей. LibreOffice, Apache OpenOffice, OpenOffice.org

Форум поддержки пользователей. LibreOffice, Apache OpenOffice, OpenOffice.org

18 Июнь 2019, 20:31 *
Добро пожаловать, Гость. Пожалуйста, войдите или зарегистрируйтесь.
Вам не пришло письмо с кодом активации?

Войти
Новости: Вы можете задать вопрос по LibreOffice или Apache OpenOffice  без регистрации, используя форму
 
   Начало   Помощь Поиск Войти Регистрация    задать вопрос  
Страниц: 1   Вниз
  Печать  
Автор Тема: Решатель  (Прочитано 2205 раз)
0 Пользователей и 1 Гость смотрят эту тему.
kompilainenn
Мастер
*****
Offline Offline

Сообщений: 2 673



« Стартовое сообщение: 19 Март 2015, 11:22 »

В версиях до 4.4.2.1 включительно этот самый Решатель (меню Сервис - Решатель) требует JAVA и без неё крашит в винде весь офис (бага есть такая да). В сегодня скачанной сборке ЛО версии 4.5.0.0альфа0 Решатель просто запускается БЕЗ JAVA.
Вопрос: Решатель переписали на ином языке или просто отвязали как-то от JAVA?
Записан

Поддержать разработчиков LibreOffice можно тут, а наш форум вот тут
Yakov
Администратор
**
Offline Offline

Сообщений: 2 403


WWW
« Ответ #1: 19 Март 2015, 13:24 »

Так же и продолжает требовать Java в 4.4.2.1. Креша не происходит.
« Последнее редактирование: 19 Март 2015, 13:29 от Yakov » Записан

Yakov
Администратор
**
Offline Offline

Сообщений: 2 403


WWW
« Ответ #2: 19 Март 2015, 13:36 »

Про 4.5 пока ещё на wiki не отразили
https://wiki.documentfoundation.org/ReleaseNotes/4.5
Записан

kompilainenn
Мастер
*****
Offline Offline

Сообщений: 2 673



« Ответ #3: 19 Март 2015, 14:24 »

Про 4.5 пока ещё на wiki не отразили
ессно, если бы там написали, я бы не интересовался.

А у меня крашится офис, если не установлена JAVA, или если ее использование отключено в настройках.
Записан

Поддержать разработчиков LibreOffice можно тут, а наш форум вот тут
ape
Форумчанин
***
Offline Offline

Сообщений: 2 468


« Ответ #4: 19 Март 2015, 18:27 »

nlpsolver в сборочном логе я не нашёл. Однако, т.к. расширения по Яве и Бин-Шеллу в сборке присутствуют, то Решатель работать должен, если указан путь к Яве, на котором он написан. Если же работать не хочет - то можно установить через менеджер расширений.
--
У меня пока с ним, Решателем, в 4.5.0.0 проблем не было.
Записан
Yakov
Администратор
**
Offline Offline

Сообщений: 2 403


WWW
« Ответ #5: 19 Март 2015, 22:26 »

Обратил внимание на то, что в 4.5 доступно 2 движка для решателя, а в 4.4.2.1 - 4 движка. Так что решатель действительно переписали.
Записан

kompilainenn
Мастер
*****
Offline Offline

Сообщений: 2 673



« Ответ #6: 16 Июнь 2015, 08:32 »

анекдот, решатель в 5.0 бета 3 опять стал требовать JRE и крашится, если его нет или его использование не разрешено...
решили откатить?
Записан

Поддержать разработчиков LibreOffice можно тут, а наш форум вот тут
Страниц: 1   Вверх
  Печать  
 
Перейти в:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.21 | SMF © 2006-2009, Simple Machines Valid XHTML 1.0! Valid CSS!